---
type: api
title: Get an inputs template
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-epm-templates-pkgname-pkgversion-inputs
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-epm-templates-pkgname-pkgversion-inputs
products:
  - Kibana
---

# Get an inputs template

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/epm/templates/{pkgName}/{pkgVersion}/inputs`
- `GET` `/s/{space_id}/api/fleet/epm/templates/{pkgName}/{pkgVersion}/inputs`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `pkgName` (string)
  Package name
- `pkgVersion` (string)
  Package version

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get an inputs template for a package, used to pre-populate package policy forms.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

## Query String Parameters

- `format` (enum  · default: json)
  Output format for the inputs template: json, yml, or yaml
  Values: `json`, `yml`, `yaml`
- `prerelease` (boolean)
  When true, allow prerelease versions
- `ignoreUnverified` (boolean)
  When true, return inputs even if the package signature cannot be verified

## Responses

#### `200`

Successful response

`application/json`

Any of:
- **string**
- **Kibana_HTTP_APIs_get_inputs_response**
  - `connectors` (map string to object)
  - `exporters` (map string to object)
  - `extensions` (map string to object)
  - `inputs` ([] object · max: 10000)
    - `id` (string)
    - `streams` ([] object · max: 10000)
      - `data_stream` (object)
        - `dataset` (string)
        - `type` (string)
      - `id` (string)
    - `type` (string)
  - `processors` (map string to object)
  - `receivers` (map string to object)
  - `service` (object)
    - `extensions` ([] string · max: 1000)
    - `pipelines` (map string to object)
      Map values (object)
      - `exporters` ([] string · max: 1000)
      - `processors` ([] string · max: 1000)
      - `receivers` ([] string · max: 1000)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/epm/templates/{pkgName}/{pkgVersion}/inputs
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/epm/templates/{pkgName}/{pkgVersion}/inputs"
```

## Response Examples

#### Get inputs template

Inputs template for a package

```json
{
  "inputs": [
    {
      "description": "Collect logs from log files",
      "title": "Collect logs from files",
      "type": "logfile",
      "vars": [
        {
          "name": "paths",
          "required": true,
          "title": "Paths",
          "type": "text"
        }
      ]
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

